/**********************************************************************
 * Copyright (c) 2005 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
*
 * Contributors:
 *    IBM - Initial API and implementation
 **********************************************************************/

package org.eclipse.wtp.releng.tools.component.api;

import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;
import org.eclipse.wtp.releng.tools.component.model.ComponentObject;

public class PackageAPI extends ComponentObject
{
  private String name;
  private List classAPIs;

  /**
   * @return Returns the name.
   */
  public String getName()
  {
    return name;
  }

  /**
   * @param name The name to set.
   */
  public void setName(String name)
  {
    this.name = name;
  }

  /**
   * @return Returns the classAPIs.
   */
  public List getClassAPIs()
  {
    if (classAPIs == null)
      classAPIs = new ArrayList(1);
    return classAPIs;
  }

  public String toString()
  {
    StringBuffer sb = new StringBuffer();
    sb.append("<package-api");
    sb.append(toAttribute("name", getName()));
    sb.append(">");
    for (Iterator it = getClassAPIs().iterator(); it.hasNext();)
      sb.append(((ClassAPI)it.next()).toString());
    sb.append("</package-api>");
    return sb.toString();
  }
}